> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.awork.com/apiv1/permissions/get-me-permissions/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server. # Returns permissions for the current user. GET https://api.awork.com/api/v1/me/permissions Returns the current user's permissions for the selected workspace.Any authenticated user. Reference: https://developers.awork.com/apiv1/permissions/get-me-permissions ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Response ### 200 OK - `signature` (string, optional, nullable) — The signature of the user permissions. Can be verified with the HMACSHA1 algorithm and the secret. - `userPermission` (UserPermissionFullModel, optional) ## Errors ### 400 Bad Request Error Bad Request - `code` (string, required) — The error code. - `description` (string, required) — The description of the error. - `link` (string, required) — The link to the API documentation page. - `details` (list of string, optional, nullable) — A list of details describing the error. - `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property. - `traceId` (string, optional, nullable) — The request trace id for tracking the request. ## Types ### UserPermissionFullModel - `isAiPlanActive` (boolean, optional) — Whether the workspace has an active AI plan. - `userId` (string, optional) — The id of the user. - `isAdmin` (boolean, optional) — Whether the user is an admin user. - `isGuest` (boolean, optional) — Whether the user is a guest user. - `roleId` (string, optional) — The role id of the user. - `isBlocked` (boolean, optional) — Whether the user is blocked. - `permissions` (list of PermissionFullModel, optional, nullable) — A list of permissions assigned to the user. - `projectRolesPermissions` (list of ProjectRolesPermissionFullModel, optional, nullable) — A list of project role permissions assigned to the user. ### ValidationErrorResponse The validation error response. - `property` (string, optional, nullable) — The name of the property that failed validation. - `message` (string, optional, nullable) — The reason why this property failed validation. ### PermissionFullModel - `feature` (string, optional, nullable) — The identifying key of the feature. - `accessLevels` (list of string, optional, nullable) — The list of access levels assigned to the feature. ### ProjectRolesPermissionFullModel - `projectRoleId` (string, optional) — The id of the project role. - `permissions` (list of PermissionFullModel, optional, nullable) — The list of permissions of the project role. ## Examples **Response** ```json { "signature": "c2lnbmF0dXJl", "userPermission": { "isAiPlanActive": true, "userId": "123e4567-e89b-12d3-a456-426614174000", "isAdmin": false, "isGuest": false, "roleId": "123e4567-e89b-12d3-a456-426614174000", "isBlocked": false, "permissions": [ { "feature": "pmd", "accessLevels": [ "read" ] } ], "projectRolesPermissions": [ { "projectRoleId": "123e4567-e89b-12d3-a456-426614174000", "permissions": [ { "feature": "pmd", "accessLevels": [ "read" ] } ] } ] } } ``` **SDK Code** ```python import requests url = "https://api.awork.com/api/v1/me/permissions" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.awork.com/api/v1/me/permissions'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.awork.com/api/v1/me/permissions" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.awork.com/api/v1/me/permissions") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.awork.com/api/v1/me/permissions") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.awork.com/api/v1/me/permissions', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.awork.com/api/v1/me/permissions"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/me/permissions")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```